Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.options
Class EndDelimiterByteChecker

    java.lang.Object
      com.servingxml.components.flatfile.options.EndDelimiterByteChecker

All Implemented Interfaces:
  DelimiterByteChecker

    public final class EndDelimiterByteChecker

extends java.lang.Object
implements DelimiterByteChecker

Field Summary

Fields inherited from interface com.servingxml.components.flatfile.options.DelimiterByteChecker
`EMPTY_DELIMITER_CHECKER_ARRAY, NULL`

Constructor Summary
`EndDelimiterByteChecker(byte[] value)`
`EndDelimiterByteChecker(byte[] value, byte[] continuationSequence)`

Method Summary
`int` | `foundEndDelimiter(byte[] data, int start, int length)`
`boolean` | `foundEndDelimiter(ByteBuffer recordBuffer, ByteArrayBuilder byteArrayBuilder)`
`boolean` | `testContinuation(ByteBuffer recordBuffer, ByteArrayBuilder byteArrayBuilder)`
`int` | `testStart(byte[] data, int start, int length)`
`boolean` | `testStart(ByteBuffer recordBuffer, ByteArrayBuilder byteArrayBuilder)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EndDelimiterByteChecker

    public EndDelimiterByteChecker(byte[] value)

### EndDelimiterByteChecker

    public EndDelimiterByteChecker(byte[] value,
                                   byte[] continuationSequence)

Method Detail

### testStart

    public final boolean testStart(ByteBuffer recordBuffer,
                                   ByteArrayBuilder byteArrayBuilder)

  Specified by:
    `testStart` in interface `DelimiterByteChecker`

### foundEndDelimiter

    public final boolean foundEndDelimiter(ByteBuffer recordBuffer,
                                           ByteArrayBuilder byteArrayBuilder)
                                    throws java.io.IOException

  Specified by:
    `foundEndDelimiter` in interface `DelimiterByteChecker`
  Throws:
    `java.io.IOException`

### foundEndDelimiter

    public final int foundEndDelimiter(byte[] data,
                                       int start,
                                       int length)

  Specified by:
    `foundEndDelimiter` in interface `DelimiterByteChecker`

### testStart

    public final int testStart(byte[] data,
                               int start,
                               int length)

  Specified by:
    `testStart` in interface `DelimiterByteChecker`

### testContinuation

    public final boolean testContinuation(ByteBuffer recordBuffer,
                                          ByteArrayBuilder byteArrayBuilder)
                                   throws java.io.IOException

  Specified by:
    `testContinuation` in interface `DelimiterByteChecker`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD